<!DOCTYPE html>
<html>
<head>
<title>Science and Engineering Ethics</title>
</head>
<body>
	<h1>Sofware Engineering Code of Ethics and Professional Practice</h1>
     <br/>
     <br/>
	<h2>IEEE CS/ACM Joint Task FOrce on Software Engineering Ethics and Professional Practices</h2>
	<br/>
	<br/>
	<hr />
	<br/>
	<br/>
	<span><strong>PREMABLE</strong></span>
	<br/>
	<br/>
		<p>The short version of the code summarizes aspiration at a high level of abstraction. The clauses that
	   	are included in the full version give examples and detauls of how these aspirations change the way we
	   	act as software engineering professionals. Without the aspiration, the details can become legalistic
		and tedelious; without the detail, the aspiration can become high-sounding but empty; together; the
		aspiration and the details form a cohesive code.</p>

			<p>Sofware engineer shall commit themselves to making the analysis, specification, design,
		   	development,testing, and maintenance of software a beneficial and respected profession. In
		   	accordance with their commitment to the health, safety, and welfare of the public. software engineers
		   	shall adhere to the following eigth Principlies:</p>

      <br/>
      <br/>
      <span><strong>PRINCIPLES</strong></span>
      <br/>
          <ol>
          	<li><em>Public.</em> Software engineers shall act consistenrly with the public interst.</li>
          	<li><em>Client and employer</em>, Software engineers shall act in a manner that is in the best interest of their
      	   client and employer, consistent with the public interest.</li>
          	<li><em>Product</em>, Software engineers shall ensure that their product and related modifactions meet the
      	 highest professional standards possible.</li>
      	    <li><em>Judgement</em>, Sofware engineers shall maintain integrity and indepence in their professional
      	 judgement.</li>
      	 	<li><em>Management</em>, Software engineering managers and leaders shall subscribe to and promote an  
      	   ethical approach to the management of software development and maintenance.</li>
      	   <li><em>Profession</em>.Software engineer shall be fair to and supportive of their shall subscribe to and promote</li>
      	   <li><em>Colleagues</em>.Software engineering shall be fair to and supportive of their colleagues.</li>
      	   <li><em>Self</em> Software Engineersshall participate in lifelong learning regarding the practice of their
      	    profession</li>
          </ol>
         <br/>

          

</body>
</html>